Bug 120805

Summary: Implement Vector::append for move-only types
Product: WebKit Reporter: Anders Carlsson <andersca>
Component: New BugsAssignee: Anders Carlsson <andersca>
Status: RESOLVED FIXED    
Severity: Normal CC: benjamin, buildbot, cmarcelo, commit-queue, eflews.bot, gtk-ews, gyuyoung.kim, philn, rego+ews, rniwa, webkit-ews, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2
none
Patch
none
Patch
none
Archive of layout-test-results from webkit-ews-06 for mac-mountainlion
none
Patch kling: review+

Description Anders Carlsson 2013-09-05 15:38:45 PDT
Implement Vector::append for move-only types
Comment 1 Anders Carlsson 2013-09-05 15:46:04 PDT
Created attachment 210674 [details]
Patch
Comment 2 WebKit Commit Bot 2013-09-05 15:48:24 PDT
Attachment 210674 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WTF/ChangeLog', u'Source/WTF/wtf/Vector.h', u'Tools/ChangeLog', u'Tools/TestWebKitAPI/Tests/WTF/Vector.cpp']" exit_code: 1
Source/WTF/wtf/Vector.h:641:  Missing spaces around &&  [whitespace/operators] [3]
Source/WTF/wtf/Vector.h:683:  Missing spaces around &&  [whitespace/operators] [3]
Total errors found: 2 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Early Warning System Bot 2013-09-05 15:57:17 PDT
Comment on attachment 210674 [details]
Patch

Attachment 210674 [details] did not pass qt-ews (qt):
Output: http://webkit-queues.appspot.com/results/1710066
Comment 4 Early Warning System Bot 2013-09-05 16:01:13 PDT
Comment on attachment 210674 [details]
Patch

Attachment 210674 [details] did not pass qt-wk2-ews (qt-wk2):
Output: http://webkit-queues.appspot.com/results/1696860
Comment 5 Anders Carlsson 2013-09-05 16:57:01 PDT
Created attachment 210683 [details]
Patch
Comment 6 WebKit Commit Bot 2013-09-05 16:58:57 PDT
Attachment 210683 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/bytecode/CallLinkInfo.h', u'Source/WTF/ChangeLog', u'Source/WTF/wtf/Vector.h', u'Tools/ChangeLog', u'Tools/TestWebKitAPI/Tests/WTF/Vector.cpp']" exit_code: 1
Source/WTF/wtf/Vector.h:641:  Missing spaces around &&  [whitespace/operators] [3]
Source/WTF/wtf/Vector.h:683:  Missing spaces around &&  [whitespace/operators] [3]
Total errors found: 2 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Early Warning System Bot 2013-09-05 17:08:55 PDT
Comment on attachment 210683 [details]
Patch

Attachment 210683 [details] did not pass qt-ews (qt):
Output: http://webkit-queues.appspot.com/results/1710099
Comment 8 Anders Carlsson 2013-09-05 17:11:24 PDT
Created attachment 210686 [details]
Patch
Comment 9 WebKit Commit Bot 2013-09-05 17:12:43 PDT
Attachment 210686 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/JavaScriptCore/bytecode/CallLinkInfo.h', u'Source/WTF/ChangeLog', u'Source/WTF/wtf/Vector.h', u'Tools/ChangeLog', u'Tools/TestWebKitAPI/Tests/WTF/Vector.cpp']" exit_code: 1
Source/WTF/wtf/Vector.h:641:  Missing spaces around &&  [whitespace/operators] [3]
Source/WTF/wtf/Vector.h:683:  Missing spaces around &&  [whitespace/operators] [3]
Total errors found: 2 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 10 Anders Carlsson 2013-09-05 17:20:51 PDT
Thanks a lot GCC...
Comment 11 Early Warning System Bot 2013-09-05 17:24:02 PDT
Comment on attachment 210686 [details]
Patch

Attachment 210686 [details] did not pass qt-ews (qt):
Output: http://webkit-queues.appspot.com/results/1713049
Comment 12 Early Warning System Bot 2013-09-05 17:28:53 PDT
Comment on attachment 210686 [details]
Patch

Attachment 210686 [details] did not pass qt-wk2-ews (qt-wk2):
Output: http://webkit-queues.appspot.com/results/1711083
Comment 13 Darin Adler 2013-09-05 19:01:53 PDT
Comment on attachment 210686 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=210686&action=review

internal compiler error on Qt?

> Source/WTF/ChangeLog:15
> +        (WTF::::expandCapacity):

Bad change log script didn’t include the class name. I add it by hand, but you could fix the script instead if you like ;-)

> Source/WTF/ChangeLog:18
> +        (WTF::::append):

Ditto.

> Source/WTF/ChangeLog:22
> +        (WTF::::appendSlowCase):

Ditto.

> Source/JavaScriptCore/bytecode/CallLinkInfo.h:85
> -    CallType callType : 5;
> +    unsigned callType : 5;

Unrelated change.
Comment 14 EFL EWS Bot 2013-09-05 21:01:26 PDT
Comment on attachment 210686 [details]
Patch

Attachment 210686 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/1708212
Comment 15 EFL EWS Bot 2013-09-05 21:25:07 PDT
Comment on attachment 210686 [details]
Patch

Attachment 210686 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/1708211
Comment 16 kov's GTK+ EWS bot 2013-09-05 21:43:59 PDT
Comment on attachment 210686 [details]
Patch

Attachment 210686 [details] did not pass gtk-ews (gtk):
Output: http://webkit-queues.appspot.com/results/1708220
Comment 17 Build Bot 2013-09-05 21:51:41 PDT
Comment on attachment 210686 [details]
Patch

Attachment 210686 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/1708218

New failing tests:
fast/workers/termination-with-port-messages.html
Comment 18 Build Bot 2013-09-05 21:51:44 PDT
Created attachment 210701 [details]
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-11  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.4
Comment 19 Build Bot 2013-09-06 06:16:15 PDT
Comment on attachment 210686 [details]
Patch

Attachment 210686 [details] did not pass win-ews (win):
Output: http://webkit-queues.appspot.com/results/1704330
Comment 20 Anders Carlsson 2013-09-09 21:20:14 PDT
Created attachment 211153 [details]
Patch
Comment 21 WebKit Commit Bot 2013-09-09 21:21:53 PDT
Attachment 211153 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WTF/ChangeLog', u'Source/WTF/wtf/Vector.h', u'Tools/ChangeLog', u'Tools/TestWebKitAPI/Tests/WTF/Vector.cpp']" exit_code: 1
Source/WTF/wtf/Vector.h:644:  Missing spaces around &&  [whitespace/operators] [3]
Source/WTF/wtf/Vector.h:686:  Missing spaces around &&  [whitespace/operators] [3]
Total errors found: 2 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 22 Darin Adler 2013-09-09 21:24:48 PDT
Comment on attachment 211153 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=211153&action=review

> Source/WTF/ChangeLog:9
> +        (WTF::::expandCapacity):

Should fill in the word Vector here. The script doesn’t get it right, but no reason to leave it bad here.
Comment 23 Early Warning System Bot 2013-09-09 21:31:45 PDT
Comment on attachment 211153 [details]
Patch

Attachment 211153 [details] did not pass qt-ews (qt):
Output: http://webkit-queues.appspot.com/results/1737382
Comment 24 Early Warning System Bot 2013-09-09 21:37:20 PDT
Comment on attachment 211153 [details]
Patch

Attachment 211153 [details] did not pass qt-wk2-ews (qt-wk2):
Output: http://webkit-queues.appspot.com/results/1735462
Comment 25 EFL EWS Bot 2013-09-09 21:55:14 PDT
Comment on attachment 211153 [details]
Patch

Attachment 211153 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/1728609
Comment 26 Anders Carlsson 2013-09-09 22:07:48 PDT
Created attachment 211160 [details]
Patch
Comment 27 WebKit Commit Bot 2013-09-09 22:10:50 PDT
Attachment 211160 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WTF/ChangeLog', u'Source/WTF/wtf/Vector.h', u'Tools/ChangeLog', u'Tools/TestWebKitAPI/Tests/WTF/Vector.cpp']" exit_code: 1
Source/WTF/wtf/Vector.h:644:  Missing spaces around &&  [whitespace/operators] [3]
Source/WTF/wtf/Vector.h:686:  Missing spaces around &&  [whitespace/operators] [3]
Total errors found: 2 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 28 Build Bot 2013-09-10 00:35:39 PDT
Comment on attachment 211160 [details]
Patch

Attachment 211160 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/1762003

New failing tests:
compositing/backface-visibility/backface-visibility-hierarchical-transform.html
compositing/absolute-inside-out-of-view-fixed.html
animations/3d/matrix-transform-type-animation.html
animations/3d/state-at-end-event-transform.html
animations/added-while-suspended.html
animations/animation-add-events-in-handler.html
animations/additive-transform-animations.html
animations/3d/replace-filling-transform.html
accessibility/accessibility-object-detached.html
compositing/backface-visibility/backface-visibility-3d.html
accessibility/accessibility-node-reparent.html
http/tests/appcache/abort-cache-onchecking-resource-404.html
compositing/animation/animation-compositing.html
canvas/philip/tests/2d.canvas.readonly.html
compositing/animation/computed-style-during-delay.html
animations/3d/change-transform-in-end-event.html
compositing/animation/busy-indicator.html
compositing/absolute-position-changed-in-composited-layer.html
compositing/bounds-in-flipped-writing-mode.html
compositing/animation/animated-composited-inside-hidden.html
http/tests/appcache/abort-cache-onchecking-manifest-404.html
canvas/philip/tests/2d.canvas.reference.html
canvas/philip/tests/2d.clearRect+fillRect.alpha0.5.html
animations/3d/transform-origin-vs-functions.html
accessibility/accessibility-node-memory-management.html
compositing/backface-visibility/backface-visibility-image.html
compositing/backface-visibility/backface-visibility-non3d.html
http/tests/appcache/404-manifest.html
http/tests/appcache/404-resource.html
compositing/absolute-position-changed-with-composited-parent-layer.html
Comment 29 Build Bot 2013-09-10 00:35:43 PDT
Created attachment 211181 [details]
Archive of layout-test-results from webkit-ews-06 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-06  Port: mac-mountainlion  Platform: Mac OS X 10.8.4
Comment 30 Anders Carlsson 2013-09-11 09:53:55 PDT
Created attachment 211320 [details]
Patch
Comment 31 WebKit Commit Bot 2013-09-11 09:56:25 PDT
Attachment 211320 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WTF/ChangeLog', u'Source/WTF/wtf/Vector.h', u'Tools/ChangeLog', u'Tools/TestWebKitAPI/Tests/WTF/Vector.cpp']" exit_code: 1
Source/WTF/wtf/Vector.h:643:  Missing spaces around &&  [whitespace/operators] [3]
Source/WTF/wtf/Vector.h:685:  Missing spaces around &&  [whitespace/operators] [3]
Total errors found: 2 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 32 Anders Carlsson 2013-09-11 10:56:49 PDT
Committed r155541: <http://trac.webkit.org/changeset/155541>